package com.ghy.web.core.config;

import com.aliyun.dytnsapi20200217.Client;
import com.aliyun.teaopenapi.models.Config;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class AliApiConfig {

    @Value("${aliyun.accessKey}")
    private String accessKey;

    @Value("${aliyun.accessSecret}")
    private String accessSecret;

    @Value("${aliyun.endpoint}")
    private String endpoint;

    @Value("${aliyun.authCode}")
    private String authCode;

    @Bean
    public Client createClient() throws Exception {
        // 建议使用更安全的 STS 方式，更多鉴权访问方式请参见：https://help.aliyun.com/document_detail/378657.html。
        Config config = new Config()
                // 必填，请确保代码运行环境设置了环境变量 ALIBABA_CLOUD_ACCESS_KEY_ID。
                .setAccessKeyId(accessKey)
                // 必填，请确保代码运行环境设置了环境变量 ALIBABA_CLOUD_ACCESS_KEY_SECRET。
                .setAccessKeySecret(accessSecret)
                .setEndpoint(endpoint);
        return new Client(config);
    }

}
